API Guide Home (Online version only) |

# PalmImageGIFFrameParamType Struct Reference

## Detailed Description

GIF frame parameters.

Each GIF frame contains more info than a simple palette and image buffer.

Definition at line 526 of file palmOneCodecFormat.h.

## Data Fields

- UInt32 leftPosition
- UInt32 topPosition
- UInt32 imageWidth
- UInt32 imageHeight
- UInt32 localColorBits
- UInt32 hasLocalColorTable
- UInt32 isInterlaced
- UInt32 hasTransparentColor
- UInt32 transparentColorIndex
- UInt32 disposalMethod
- UInt32 delayTime
- UInt8 localColorTable [256 *3]
- UInt32 imageDataSize
- UInt8 * imageDataP

## Field Documentation

UInt32 leftPosition

Left position of the image.

Definition at line 527 of file palmOneCodecFormat.h.

UInt32 topPosition

Top posistion of the image.

Definition at line 528 of file palmOneCodecFormat.h.

UInt32 imageWidth

Image width.

Definition at line 529 of file palmOneCodecFormat.h.

UInt32 imageHeight

Image height.

Definition at line 530 of file palmOneCodecFormat.h.

UInt32 localColorBits

Number of bits for the local color table.

Definition at line 531 of file palmOneCodecFormat.h.

UInt32 hasLocalColorTable

1 if has local color table, 0 otherwise.

Definition at line 532 of file palmOneCodecFormat.h.

UInt32 isInterlaced

1 if interlaced, 0 otherwise.

Definition at line 533 of file palmOneCodecFormat.h.

UInt32 hasTransparentColor

1 if has transparency, 0 otherwise.

Definition at line 534 of file palmOneCodecFormat.h.

UInt32 transparentColorIndex

Transparency color index.

Definition at line 535 of file palmOneCodecFormat.h.

UInt32 disposalMethod

Disposal method. (Refer to GIF standard)

Definition at line 536 of file palmOneCodecFormat.h.

UInt32 delayTime

Delay for the current image.

Definition at line 537 of file palmOneCodecFormat.h.

UInt8 localColorTable[256 *3]

Local color table.

Definition at line 538 of file palmOneCodecFormat.h.

UInt32 imageDataSize

Size of the image buffer.

Definition at line 539 of file palmOneCodecFormat.h.

UInt8* imageDataP

Raw Image.

Definition at line 540 of file palmOneCodecFormat.h.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:08:16 2008 for Palm API Guide